中文
Continue in the app

ArcGIS Server 10.9 PostgreSQL ST_Geometry Patch

摘要

此修补程序提供了正确的 ST_Geometry 库,以便能够使用在 Linux 上运行的 PostgreSQL 配置企业级地理数据库。

说明

Esri® 宣布推出 ArcGIS Server 10.9 PostgreSQL ST_Geometry Patch. 如果您使用的是 ArcGIS Server 10.9 并且已在 Linux 上安装了 PostgreSQL,则您将需要此修补程序才能正确启用企业级地理数据库或 ST_Geometry 空间类型。 如果您没有此修补程序,则在使用 ArcGIS Server 10.9 提供的库设置地理数据库或空间类型时将出现以下错误:“您必须将最新的 ST_GEOMETRY 库复制到 PostgreSQL 软件位置。 有关详细信息,请参阅 ArcGIS 帮助主题。” 其专门处理此修补程序解决的问题下方列出的问题。


重要注意事项:名为 ArcGIS Data Store 10.9 PostgreSQL ST_Geometry Patch 的可选修补程序可应用于 ArcGIS Enterprise 10.9 的数据存储组件。 您仅需将修补程序应用到一台计算机和软件包。 然后需要将 ST_Geometry.SO 文件从 Database Support 文件夹移动到 Linux 上的 PostgreSQL 服务器。


此修补程序解决的问题


  • BUG-000141259 - 在 ArcGIS Enterprise 设置中安装正确的 10.9.0 版本 ST_Geometry Linux 库。

在 Windows 上安装此修补程序


安装步骤:


必须先在系统中安装表中列出的 ArcGIS 产品,然后才能安装修补程序。 每个修补程序安装程序都特定用于列表中对应的 ArcGIS 产品。 要确定系统上安装了哪些产品,请参阅如何确定已安装的 ArcGIS 产品部分。 Esri 建议您为系统上的每个产品安装修补程序。

  1. 将相应的文件下载到 ArcGIS 安装位置以外的其他位置。

  2. ArcGIS 10.9  
       
    ArcGIS Server ArcGIS-109-S-PS-Patch.msp
         校验和
         (SHA256)
    C0DE6E7E1CA8E9A7BBD0F1146FEBCD7306670D516B1A1F58A252CBF220B9C5DC
       

  3. 请确保具有对 ArcGIS 安装位置的写入权限。

  4. 双击 ArcGIS-109-S-PS-Patch.msp 以启动安装进程。

    注:如果双击 MSP 文件后未启动安装程序安装进程,可使用下列命令手动启动安装程序安装进程:

    msiexec.exe /p [location of Patch]\ArcGIS-109-S-PS-Patch.msp


在 Linux 上安装此修补程序


安装步骤:


以 ArcGIS 安装所有者身份完成以下安装步骤。 安装所有者为 arcgis 文件夹的所有者。

必须先在系统中安装表中列出的 ArcGIS 产品,然后才能安装修补程序。 每个修补程序安装程序都特定用于列表中对应的 ArcGIS 产品。 要确定系统上安装了哪些产品,请参阅如何确定已安装的 ArcGIS 产品部分。 Esri 建议您为系统上的每个产品安装修补程序。

  1. 将相应的文件下载到 ArcGIS 安装位置以外的其他位置。


    ArcGIS 10.9  
       
    ArcGIS Server ArcGIS-109-S-PS-Patch-linux.tar
         校验和
         (SHA256)
    26ED7008327A9B0C503F9C12ADEA1FD2B84D2EF35E7E1AB93EB391591C3B9706
       

  2. 请确保具有对 ArcGIS 安装位置的写入权限,并且当前没有用户正在使用 ArcGIS。

  3. 输入下列命令提取指定的 tar 文件:

    % tar -xvf ArcGIS-109-S-PS-Patch-linux.tar

  4. 输入下列命令启动安装过程:

    % ./applypatch

    这将启动菜单驱动安装步骤的对话框。 默认选择在括号 ( ) 中注明。 您可随时输入“q”退出安装流程。


在 Windows 上卸载此修补程序


    要在 Windows 上卸载此修补程序,请打开 Windows 控制面板,然后导航至已安装的程序。 确保“查看已安装的更新”(位于“程序和功能”对话框的左上角)处于活动状态。 从程序列表中选择修补程序名称,然后单击“卸载”以移除该修补程序。

在 Linux 上卸载此修补程序


    要在版本 10.7 或更高版本中移除此修补程序,请导航到 <产品安装目录>/.Setup/qfe 目录,然后以 ArcGIS 安装所有者身份运行以下脚本:


    ./removepatch.sh

    通过 removepatch.sh 脚本可卸载以前安装的修补程序或热修复程序。 使用 -s 状态标记以按日期排序获取已安装修补程序或热修复程序列表。 使用 -q 标记以按安装日期的反向时间顺序移除修补程序或热修复程序。 输入 removepatch -h 以获取使用帮助。

    重新启动 ArcGIS 服务

修补程序更新

请定期访问修补程序和补丁包页面,以检查是否存在其他可用的修补程序。 将在此处发布有关此修补程序的最新信息。

2021 年 11 月 19 日 已使用新的数字签名对此修补程序的 Windows 安装程序进行了更新。 此项更改解决了可能的安装错误:

根据当前系统时钟或签名文件中的时间戳进行验证时,所需证书不在其有效期内。

如何确定已安装的 ArcGIS 产品

要确定已安装的 ArcGIS 产品,请选择适用于您的环境的适当 PatchFinder 实用程序版本,然后在本地计算机上运行它。 PatchFinder 将列出已在本地计算机上安装的所有产品、热修复程序和修补程序。

获取帮助

如果在安装此修补程序时遇到任何问题,美国用户请拨打 Esri 技术支持热线 1-888-377-4575。 国际用户请联系您当地的 Esri 软件分销商